Bug 589983 - gtk-update-icon-cache: No theme index file.
Summary: gtk-update-icon-cache: No theme index file.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: redhat-logos   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ray Strode [halfline]
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 13:02 UTC by Michal Nowak
Modified: 2013-03-08 02:09 UTC (History)
3 users (show)

Fixed In Version: redhat-logos-60.0.11-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:28:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Nowak 2010-05-07 13:02:42 UTC
Description of problem:

When updated redhat-logos I got this msg:

  Cleanup        : redhat-logos-60.0.6-1.el6.noarch
  gtk-update-icon-cache: No theme index file.

Version-Release number of selected component (if applicable):

redhat-logos-60.0.6-1.el6.noarch

Actual results:

gtk-update-icon-cache: No theme index file.

Expected results:

No such msg.

Comment 1 Ray Strode [halfline] 2010-05-07 14:03:39 UTC
So strangely, we should be already okay:

$ rpm -q --scripts redhat-logos
postinstall scriptlet (using /bin/sh):
touch --no-create /usr/share/icons/hicolor || :
touch --no-create /usr/share/icons/System || :
touch --no-create /usr/share/kde-settings/kde-profile/default/share/icons/Fedora-KDE ||:
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  if [ -f /usr/share/icons/hicolor/index.theme ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor || :
  fi
  if [ -f /usr/share/icons/System/index.theme ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/System || :
  fi
fi


gtk-update-icon-cache must be returning an incorrect error message.  Anyway, the modern way of calling gtk-update-icon-cache is unconditionally with error messages sent to /dev/null, so we can potentially change things up to do that.

Comment 2 RHEL Product and Program Management 2010-05-07 14:07:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Tomas Pelka 2010-05-27 14:25:06 UTC
Giving qa_ack, reproducer in description and c1.

Comment 4 Tomas Pelka 2010-06-16 08:40:55 UTC
No such message message (gtk-update-icon-cache: No theme index file.) when installing redhat-logos-60.0.11-2.el6.

Putting to verified.

Comment 5 releng-rhel@redhat.com 2010-11-10 21:28:36 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.